package gaf3.core.services

import gaf3.core.cloud.GafCloudConfiguration
import gaf3.core.jpa.GafJpaConfiguration
import gaf3.core.services.code.GafCodeConfiguration
import org.springframework.boot.autoconfigure.domain.EntityScan
import org.springframework.context.annotation.ComponentScan
import org.springframework.context.annotation.Configuration
import org.springframework.context.annotation.Import
import org.springframework.data.jpa.repository.config.EnableJpaRepositories

@Configuration
@Import(GafCloudConfiguration::class, GafJpaConfiguration::class, GafCodeConfiguration::class)
@EntityScan(basePackages = ["gaf3.core.services"])
@EnableJpaRepositories(basePackages = ["gaf3.core.services"])
@ComponentScan(basePackages = ["gaf3.core.services"])
class GafCoreServicesConfiguration
