package gaf3.core.services.api.domain

import com.fasterxml.jackson.annotation.JsonInclude
import javax.validation.constraints.NotEmpty
import javax.validation.constraints.NotNull

@JsonInclude(JsonInclude.Include.NON_NULL)
open class LogForm{
    @NotEmpty
    var logType: String? = null
    @NotEmpty
    var event: String? = null
    @NotEmpty
    var level: String? = null
    var module: String? = null
    var action: String? = null
    var target: String? = null
    var param: String? = null
    @NotEmpty
    var result: String? = null
    var detail: String? = null
    var eventTime: String? = null
    var timestamp: Long? = null
    var extra: String? = null
    @NotEmpty
    var userName: String? = null
    @NotEmpty
    var userAcct: String? = null
    var userIp: String? = null
}