package gaf3.core.services.api.domain

import com.fasterxml.jackson.annotation.JsonInclude
import javax.validation.constraints.NotEmpty
import javax.validation.constraints.NotNull

@JsonInclude(JsonInclude.Include.NON_NULL)
class PassForm(oldpass: String? = null, newpass: String? = null){
    @NotEmpty
    var oldpass: String? = null
    @NotEmpty
    var newpass: String? = null

    init {
        this.oldpass = oldpass
        this.newpass = newpass
    }
}