package gaf3.core.services.code

import gaf3.core.services.code.dao.GafCodeItemDAO
import gaf3.core.services.code.entity.GafCodeItem
import org.springframework.boot.autoconfigure.domain.EntityScan
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.context.annotation.ComponentScan
import org.springframework.context.annotation.Configuration
import org.springframework.data.jpa.repository.config.EnableJpaRepositories

@Configuration
@EnableJpaRepositories(basePackageClasses=[GafCodeItemDAO::class])
@EnableConfigurationProperties(GafCodeConfigure::class)
@EntityScan(basePackageClasses = [GafCodeItem::class])
@ComponentScan(basePackageClasses = [GafCodeConfiguration::class])
class GafCodeConfiguration