package gaf3.core.services.code.domain

import com.fasterxml.jackson.annotation.JsonInclude
import javax.validation.constraints.NotEmpty

@JsonInclude(JsonInclude.Include.NON_NULL)
class CodeForm @JvmOverloads constructor(code: String? = null, name: String? = null){
    @NotEmpty
    var code: String? = null
    @NotEmpty
    var name: String? = null

    var status: String? = null
    var alias: String? = null
    var remark: String? = null

    init {
        this.code = code
        this.name = name
    }
}