package gaf3.core.services.dept

import gaf3.core.cloud.GafCloudConfiguration
import gaf3.core.services.dept.dao.GafDeptItemDAO
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Import
import org.springframework.data.jpa.repository.config.EnableJpaRepositories
import org.springframework.web.bind.annotation.RestController

@SpringBootApplication
@RestController
@EnableJpaRepositories(basePackageClasses=[GafDeptItemDAO::class])
@Import(GafCloudConfiguration::class)
class ServiceDeptApplication

fun main(args: Array<String>) {
	runApplication<ServiceDeptApplication>(*args)
}
