package gaf3.core.services.dept.entity

import gaf3.core.jpa.GafTimestamp
import javax.persistence.*
import java.io.Serializable


/**
 * The persistent class for the GAF_DEPT_ITEM database table.
 *
 */
@Entity
@Table(name = "GAF_DEPT_ITEM")
class GafDeptItem : GafTimestamp() {

    @Id
    @Column(name = "ID", length = 48)
    var id: String? = null

    @Column(name = "PID", length = 48)
    var pid: String? = null

    @Column(name = "CODE", length = 48)
    var code: String? = null

    @Column(name = "NAME", length = 48)
    var name: String? = null

    @Column(name = "REMARK")
    var remark: String? = null

    companion object {
        private const val serialVersionUID = 1L
    }

}