package gaf3.core.services.menu

import gaf3.core.services.menu.dao.GafMenuItemDAO
import gaf3.core.services.menu.entity.GafMenuItem
import org.springframework.boot.autoconfigure.domain.EntityScan
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.context.annotation.ComponentScan
import org.springframework.context.annotation.Configuration
import org.springframework.data.jpa.repository.config.EnableJpaRepositories

@Configuration
@EnableJpaRepositories(basePackageClasses=[GafMenuItemDAO::class])
@EnableConfigurationProperties(GafMenuConfigure::class)
@EntityScan(basePackageClasses = [GafMenuItem::class])
@ComponentScan(basePackageClasses = [GafMenuConfiguration::class])
class GafMenuConfiguration