package gaf3.core.services.token

import gaf3.core.cloud.GafCloudConfiguration
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Import
import org.springframework.web.bind.annotation.RestController

@SpringBootApplication
@RestController
@Import(GafCloudConfiguration::class)
class ServiceTokenApplication

fun main(args: Array<String>) {
    runApplication<ServiceTokenApplication>(*args)
}
