package gaf3.core.services.user.domain

import com.fasterxml.jackson.annotation.JsonInclude
import javax.validation.constraints.NotEmpty

@JsonInclude(JsonInclude.Include.NON_NULL)
class LoginForm(account: String? = null, password: String? = null){
    @NotEmpty
    var account: String? = null
    @NotEmpty
    var password: String? = null

    init {
        this.account = account
        this.password = password
    }
}