package gaf3.core.services.user.domain

import com.fasterxml.jackson.annotation.JsonInclude
import java.time.LocalDateTime
import java.util.*
import javax.validation.constraints.NotEmpty

@JsonInclude(JsonInclude.Include.NON_NULL)
data class UserInfo @JvmOverloads constructor(var userId: String? = null) {
    var name: String? = null
    var title: String? = null
    var gender: String? = null
    var mobile: String? = null
    var email: String? = null
    var account: String? = null
    var status: String? = null
    var expired: Long? = null
    var createdAt: LocalDateTime? = null
    var updatedAt: LocalDateTime? = null
    var remark: String? = null
    var origin: String? = null
}