package gaf3.core.jpa

import org.springframework.data.annotation.CreatedDate
import org.springframework.data.annotation.LastModifiedDate
import java.time.LocalDateTime
import javax.persistence.Column
import javax.persistence.Embeddable

@Embeddable
class GafAuditing {

    @CreatedDate
    @Column(name = "CREATED_AT")
    var createdAt: LocalDateTime? = null

    @LastModifiedDate
    @Column(name = "UPDATED_AT")
    var updatedAt: LocalDateTime? = null
}