package gaf3.core.jpa.annotation

@MustBeDocumented
@Retention(AnnotationRetention.RUNTIME)
@Target(AnnotationTarget.FIELD)
annotation class WithGenericMatcher(val value: CustomMatcher = CustomMatcher.Equals) {
    enum class CustomMatcher {
        Equals, NotEquals, GreaterThan, GreaterThanOrEqual, LessThan, LessThanOrEqual, StartsWith, DoesNotStartWith, EndsWith, DoesNotEndWith, Contains, DoesNotContain, Between
    }
}