package gaf3.core.services.api

import gaf3.core.cloud.feign.GafFeignConfiguration
import gaf3.core.data.JsonResult
import gaf3.core.data.PagedData
import gaf3.core.services.api.domain.*
import org.springframework.cloud.openfeign.FeignClient
import org.springframework.web.bind.annotation.*

@FeignClient(name = "\${feign.name}", url = "\${feign.url}", configuration = [GafFeignConfiguration::class] )
interface LogService {
    @PostMapping(path = ["/gaf/logs"])
    fun create(@RequestBody data: LogForm): LogForm
}