package gaf3.core.services.bind

import gaf3.core.cloud.GafCloudConfiguration
import gaf3.core.services.bind.dao.GafBindItemDAO
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Import
import org.springframework.data.jpa.repository.config.EnableJpaRepositories
import org.springframework.web.bind.annotation.RestController

@SpringBootApplication
@RestController
@EnableJpaRepositories(basePackageClasses=[GafBindItemDAO::class])
@Import(GafCloudConfiguration::class)
class ServiceBindApplication

fun main(args: Array<String>) {
    runApplication<ServiceBindApplication>(*args)
}
