package gaf3.core.services.code

import gaf3.core.cloud.GafCloudConfiguration
import gaf3.core.services.code.dao.GafCodeItemDAO
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Import
import org.springframework.data.jpa.repository.config.EnableJpaRepositories
import org.springframework.web.bind.annotation.RestController

@SpringBootApplication
@Import(GafCloudConfiguration::class)
class ServiceCodeApplication

fun main(args: Array<String>) {
    runApplication<ServiceCodeApplication>(*args)
}
