package gaf3.core.services.log

import gaf3.core.services.log.config.GafLogConfigure
import gaf3.core.services.log.dao.GafLogDAO
import gaf3.core.services.log.entity.GafLog
import org.springframework.boot.autoconfigure.domain.EntityScan
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.context.annotation.ComponentScan
import org.springframework.context.annotation.Configuration
import org.springframework.data.jpa.repository.config.EnableJpaRepositories

@Configuration
@EnableJpaRepositories(basePackageClasses=[GafLogDAO::class])
@EnableConfigurationProperties(GafLogConfigure::class)
@EntityScan(basePackageClasses = [GafLog::class])
@ComponentScan(basePackageClasses = [GafLogConfiguration::class])
class GafLogConfiguration