package gaf3.core.services.log

import gaf3.core.cloud.GafCloudConfiguration
import gaf3.core.services.log.config.GafLogConfigure
import gaf3.core.services.log.dao.GafLogDAO
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Import
import org.springframework.data.jpa.repository.config.EnableJpaRepositories
import org.springframework.web.bind.annotation.RestController

@SpringBootApplication
@RestController
@Import(GafCloudConfiguration::class)
class ServiceLogApplication

fun main(args: Array<String>) {
    runApplication<ServiceLogApplication>(*args)
}
