package gaf3.core.services.menu.dao

import gaf3.core.services.menu.entity.GafMenuItem
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.JpaSpecificationExecutor

interface GafMenuItemDAO : JpaRepository<GafMenuItem, String>, JpaSpecificationExecutor<GafMenuItem> {
    fun existsByPidAndTitle(pid: String, name: String): Boolean
}
