package gaf3.core.services.role

import gaf3.core.cloud.GafCloudConfiguration
import gaf3.core.services.role.dao.GafRoleItemDAO
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Import
import org.springframework.data.jpa.repository.config.EnableJpaRepositories

@SpringBootApplication
@EnableJpaRepositories(basePackageClasses=[GafRoleItemDAO::class])
@Import(GafCloudConfiguration::class)
class ServiceRoleApplication

fun main(args: Array<String>) {
    runApplication<ServiceRoleApplication>(*args)
}
