package gaf3.core.services.role.domain

import com.fasterxml.jackson.annotation.JsonInclude
import javax.validation.constraints.NotEmpty

@JsonInclude(JsonInclude.Include.NON_NULL)
class RoleForm @JvmOverloads constructor(type: String? = null, code: String? = null, name: String? = null){
    @NotEmpty
    var type: String? = null
    @NotEmpty
    var code: String? = null
    @NotEmpty
    var name: String? = null
    var remark: String? = null

    init {
        this.type = type
        this.code = code
        this.name = name
    }
}